TRUNCATE(1)

NAME
truncate - shrink or extend the size of a file to the specified size

SYNOPSIS
truncate [-c] -s size file...

DESCRIPTION
truncate shrinks or extends the size of each file specified size. A file argument that does not exist is created. If a file is larger than the specified size, the extra data is lost. If a file is shorter, it is extended and the extended part (hole) reads as zero bytes.

OPTIONS

-c  Do not create any files.

-s size
    Set or adjust the file size by size bytes.

SEE ALSO
ftruncate(2), truncate(2)